Bug 1249748

Summary: Review Request: rubygem-aws-sdk-resources - AWS SDK for Ruby - Resources
Product: [Fedora] Fedora Reporter: František Dvořák <valtri>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: mtasaka: fedora-review+
gwync: fedora-cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-30 02:19:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1240458    

Description František Dvořák 2015-08-03 17:03:48 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-aws-sdk-resources-2.1.11-1/rubygem-aws-sdk-resources.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-aws-sdk-resources-2.1.11-1/rubygem-aws-sdk-resources-2.1.11-1.fc24.src.rpm
Description: Provides resource oriented interfaces and other higher-level abstractions for many AWS services. This gem is part of the official AWS SDK for Ruby.
Fedora Account System Username: valtri

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10588634

Comment 1 Mamoru TASAKA 2015-08-10 05:59:56 UTC
Taking.

I would appreciate it if you would review my review request (bug 1251831)

Comment 2 Mamoru TASAKA 2015-08-10 07:10:39 UTC
Well, looks okay. Some notes:

* Latest version
  - 2.1.13 is released. Please try to upgrade.

* Documents
  - I recommend to move "README".md to main package, however
    it is not a blocker.

* Obsolete conditional
  - Consider to remove "%if 0%{?fedora} && 0%{?fedora} <= 20".
    Currently the least supported version of Fedora is 21.

* source clean
* spec file clean
* buils cleanly (currently for F-24)
* can be installed
* seems to be working

Comment 3 Mamoru TASAKA 2015-08-10 07:11:25 UTC
------------------------------------------------------
   This package (rubygem-aws-sdk-resources) is
   APPROVED by mtasaka
------------------------------------------------------

Comment 5 František Dvořák 2015-08-10 22:27:56 UTC
New Package SCM Request
=======================
Package Name: rubygem-aws-sdk-resources
Short Description: AWS SDK for Ruby - Resources
Upstream URL: http://github.com/aws/aws-sdk-ruby
Owners: valtri
Branches: f23 epel7

Comment 6 Gwyn Ciesla 2015-08-11 13:00:57 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-08-11 18:01:55 UTC
rubygem-aws-sdk-resources-2.1.13-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-resources-2.1.13-1.el7

Comment 8 Fedora Update System 2015-11-21 12:23:32 UTC
rubygem-aws-sdk-resources-2.1.13-1.fc23 rubygem-aws-sdk-core-2.1.13-1.fc23 rOCCI-server-1.1.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d4c02a944

Comment 9 Fedora Update System 2015-11-21 14:26:40 UTC
rubygem-aws-sdk-resources-2.1.13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-11-22 14:25:05 UTC
rOCCI-server-1.1.7-1.fc23, rubygem-aws-sdk-core-2.1.13-1.fc23, rubygem-aws-sdk-resources-2.1.13-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rOCCI-server rubygem-aws-sdk-resources rubygem-aws-sdk-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d4c02a944

Comment 11 Fedora Update System 2015-11-30 02:19:20 UTC
rOCCI-server-1.1.7-1.fc23, rubygem-aws-sdk-core-2.1.13-1.fc23, rubygem-aws-sdk-resources-2.1.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.